Pointwise Release Notes

Overview

Pointwise is our leading mesh generation software product for CFD, encompassing nearly three decades of technology development. The product features a modern software framework and workflow and provides tools like 64-bit support, multi-threading, and Windows/Linux/Mac portability.

These release notes are provided as a reference for the new features included in the latest version of Pointwise as well as any known issues that were resolved.

New Features

  • An Average Spacing toolbox has been added to the toolbar.
  • Setting the distribution to Tanh or Equal Spacing has been added to the toolbar.
  • Custom T-Rex growth profiles are now available when using scripting.
  • When a database surface is deleted, the domains that will lose associativity are now reported.

Resolved Issues

SPR Description
PW-18001 CGNS files with multiple base nodes can now be imported.
PW-20638 Importing a Parasolid file took longer than expected.
PW-20794 A curve shape was reversed after two nodes were merged if there were only two control points.
PW-21129 The Auto Merge tool was causing an unexpected exit.
PW-21132 Linear projection resulted in a poor T-Rex domain.
PW-21146 The extrusion algorithm has been improved for saddle points.
PW-21148 Degenerate surfaces can be forced to be splined during import/export.
PW-21155 The Tecplot mouse setting was not being remembered.
PW-21158 The glyph command pw::Display resetView was not working.
PW-21164 A parse error prevented some OpenFOAM files from being imported.
PW-21175 A database constrained unstructured domain had poor quality.
PW-21184 File, New with Reset options resulted in an error.
PW-21189 Right to Use acceptance was preventing silent/console installation on Windows
PW-21192 The Exodus plugin has been updated to successfully export larger meshes.
PW-21196 The Exodus plugin has been updated to successfully export larger meshes.
PW-21214 A CGNS file was importing correctly on Linux but not Windows.
PW-21216 The –usage option on Linux occasionally caused Pointwise to quit.
PW-21217 The –b option has been added to the -usage list.
PW-21220 Some Pointwise V17 files had database integrity issues when opened in V18.1.
PW-21232 A block with adapted domains and a source was not initializing.
PW-21233 SUGGAR++ 2.9.4 is now supported.
PW-21235 At the conclusion to 3D T-Rex, an incorrect aniso layer number was being reported in the messages window.
PW-21239 Glyph documentation incorrectly referred to Attributes as Actions.
PW-21259 Build Blocks opened in Selection mode if Apply, Cancel was used in the previous instance.
PW-21262 The CAE, Set Boundary Conditions panel was taking a long time to open for a large grid.
PW-21265 Two structured blocks were unable to be joined.
PW-21267 A normal extrusion exhibited more skewness than previous versions.
PW-21282 The Connector Join Angle was being ignored when creating structured domains on a model.
PW-21290 V18.1 was taking longer to split a connector than V18.0.
PW-21395 Splitting a periodic domain emptied one of the resulting halves.

Platform Support

Minimum Requirements for All Platforms:

  • 2 GB RAM (8 GB recommended)
  • 2 GB disk space
  • Ethernet card
  • OpenGL capable color display monitor
  • 1280x1024 screen resolution (4K monitor support now included)
  • Graphics adapter supporting 3D hardware-accelerated OpenGL and 24-bit RGB double-buffering
  • Up-to-date graphics accelerator drivers

Note: Pointwise V18.0R1 and later will not be supported on 32-bit platforms.

  Hardware 64-bit
Microsoft Windows
Microsoft Windows
Intel
AMD
Linux
Linux
Intel
AMD
Mac OS X
Mac OS X
Intel

Requirements for All Platforms

Minimum Requirements:

  • 2 GB RAM (8 GB recommended)
  • 2 GB disk space
  • Ethernet card
  • OpenGL capable color display monitor
  • 1280x1024 screen resolution (4K monitor support now included)
  • Graphics adapter supporting 3D hardware-accelerated OpenGL and 24-bit RGB double-buffering
  • Up-to-date graphics accelerator drivers

Important Notes:

Microsoft Windows

Operating System 64-bit  
Windows 7 Windows 7 Compatible
Windows 8.1 Windows 8 Compatible
Windows 10 Windows 10 Compatible

*There is a known incompatibility on Microsoft Windows between Dell Backup & Recovery software and Pointwise V18. If you experience problems opening or saving a file from Pointwise, Dell Backup & Recovery software should be disabled or uninstalled.

Linux

Operating System Version 64-bit
CentOS 6
Red Hat Enterprise Linux 6
SUSE Enterprise Linux Desktop 12 SP1
Ubuntu Desktop 14.04

Linux Library Dependencies

Listed below are the specific versions of library packages that we have on our test machines where we know Pointwise works. Other dependences (e.g. libGL) are not explicitly listed below as they should be part of any standard install that includes the packages listed below.

CentOS 6.4

expat-2.0.1-11.el6_2
fontconfig-2.8.0-3.el6
freetype-2.3.11-14.el6_3.1
libgcc-4.4.7-4.el6
libstdc++-4.4.7-3.el6
libX11-1.5.0-4.el6
libXau-1.0.6-4.el6
libxcb-1.8.1-1.el6
libXext-1.3.1-2.el6
libXft-2.3.1-2.el6
libXrender-0.9.7-2.el6
zlib-1.2.3-29.el6

Red Hat Enterprise Linux 6

expat-2.0.1-11.el6_2
fontconfig-2.8.0-5.el6
freetype-2.3.11-15.el6_6.1
libgcc-4.4.7-16.el6
libstdc++-4.4.7-16.el6
libX11-1.6.0-6.el6
libXau-1.0.6-4.el6
libxcb-1.9.1-3.el6
libXext-1.3.2-2.1.el6
libXft-2.3.1-2.el6
libXrender-0.9.8-2.1.el6
zlib-1.2.3-29.el6

SUSE Enterprise Linux Desktop 12 SP1

fontconfig
libbz2-1
libexpat1
libffi4
libfreetype6
libgcc_s1
libglib-2_0-0
libGLU1
libgobject-2_0-0
libgthread-2_0-0
libpcre1
libpng16-16
libstdc++6
libX11-6
libXau6
libxcb1
libXext6
libXft2
libXrender1
libz1

2.11.0-4.19
1.0.6-29.2
2.1.0-17.1
5.3.1+r233831-9.1
2.5.5-7.5.1
5.3.1+r233831-9.1
2.38.2-5.12
9.0.0-15.1
2.38.2-5.12
2.38.2-5.12
8.33-3.314
1.6.8-11.1
5.3.1+r233831-9.1
1.6.2-4.12
1.0.8-4.58
1.10-3.1
1.3.2-3.61
2.3.1-9.32
0.9.8-3.56
1.2.8-5.1

Ubuntu 14.04

libexpat1
libffi6
libfontconfig1
libfreetype6
libgcc1
libpcre3
libpng12-0
libstdc++6
libx11-6
libxau6
libxcb1
libxdmcp6
libxext6
libxft2
libxrender1
zlib1g

2.1.0-4ubuntu1.1
3.1~rc1+r3.0.13-12
2.11.0-0ubuntu4.1
2.5.2-1ubuntu2.5
1:4.9.1-0ubuntu1
1:8.31-2ubuntu2
1.2.50-1ubuntu2.14.04.1
4.8.4-2ubuntu1~14.04.1
2:1.6.2-1ubuntu2
1:1.0.8-1
1.10-2ubuntu1
1:1.1.1-1
2:1.3.2-1
2.3.1-2
1:0.9.8-1
1:1.2.8.dfsg-1ubuntu1

Mac OS X

Operating System Version 64-bit
Yosemite 10.10
El Capitan 10.11
Sierra 10.12
High Sierra 10.13

Important: Pointwise V18.1 R1 will not support Mac OS X versions older than 10.10.

Previous Versions

Pointwise V18.1 R1
Pointwise V18.0 R4
Pointwise V18.0 R3
Pointwise V18.0 R2
Pointwise V18.0 R1